net.sf.saxon.expr.instruct

## Class TerminationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.expr.instruct.TerminationException

- All Implemented Interfaces:
    Serializable

      public class TerminationException
      extends XPathException

  An exception thrown by xsl:message terminate="yes".
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminationException(String message)` Construct a TerminationException

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminationException

          public TerminationException(String message)

      Construct a TerminationException
      Parameters:
        `message` - the text of the message to be output

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.